package com.qmth.teachcloud.mark.bean.answercard;

import org.apache.commons.lang3.StringUtils;

import java.util.*;

/**
 * 评卷分组的显示坐标
 */
public class MarkConfig {


    // 对应的图片序号
    int i;

    // 坐标点与宽高的相对比例
    double x, y, w, h;

    public int getI() {
        return i;
    }

    public void setI(int i) {
        this.i = i;
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    public double getW() {
        return w;
    }

    public void setW(double w) {
        this.w = w;
    }

    public double getH() {
        return h;
    }

    public void setH(double h) {
        this.h = h;
    }

    @Override
    public String toString() {
        return StringUtils.join(Arrays.asList(i, x, y, w, h), MarkConfigItem.DB_FIELD_JOINER);
    }
}
